# Poco

# class MemoryInputStream

Library: Foundation
Package: Streams
Header: Poco/MemoryStream.h

## Description

An input stream for reading from a memory area.

## Inheritance

Direct Base Classes: MemoryIOS, std::istream

All Base Classes: MemoryIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### MemoryInputStream

MemoryInputStream(
const char * pBuffer,
std::streamsize bufferSize
);

Creates a MemoryInputStream for the given memory area, ready for reading.

## Destructor

### ~MemoryInputStream

~MemoryInputStream();

Destroys the MemoryInputStream.